"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Notify = /** @class */ (function () {
    function Notify() {
    }
    Notify.prototype.sub = function (fn) {
        var _this = this;
        this.listeners.push(fn);
        return function () {
            var idx = _this.listeners.indexOf(fn);
            if (idx === -1)
                return;
            _this.listeners.splice(idx, 1);
        };
    };
    Notify.prototype.pub = function () {
        this.listeners.forEach(function (fn) { return fn(); });
    };
    return Notify;
}());
exports.default = Notify;
